resource vultr_kubernetes athens {
  region = var.cluster.region
  version = var.cluster.version
  label = var.cluster.label
  enable_firewall = true
  node_pools {
    # how many pools do we want
    node_quantity = 1
    plan = var.cluster.pool.plan
    label = var.cluster.label
    min_nodes = var.cluster.pool.min
    max_nodes = var.cluster.pool.max
  }
}
